

#ifndef __IMAGER_SPECIAL1_H__
#define __IMAGER_SPECIAL1_H__

#include "defs.h"

typedef struct		/* Allows later extension to reverse Polish notation */
{
	image_type x;
	image_type y;
	image_type z;
	image_type t;
}
im_stack_type;

im_stack_type im_stack;



/* The following defs needed in macro interpreter */

void logexp (image_type* img, int what, float para);

void im_addsubmuldiv (image_type *img1, image_type *img2, int fn);		/* img1 = img1 op img2 */
void im_monad_addsubmuldiv (image_type *img, float operand, int fn);
void im_xraydens (image_type *objimg, image_type *bkimg);

void imgmath_main ();


#endif
