






#ifndef __IMAGER_MISCOP_H__
#define __IMAGER_MISCOP_H__

#include "defs.h"

void rotate_img (image_type* img, double theta);
void zoom2D (image_type* img, int xnew, int ynew);
void interpol_slice (image_type* img, int numslices);
void flip_xz (image_type* img);


void rotzoom_main ();
void rebin_img (image_type *img, int rebin_ngh);
void rebin_main ();

void mirror_img (image_type *img, int hor_vert);

void edit_clickstack (image_type* img);

void add_gaussian_noise (image_type* img, float amplitude, int slice, int roiflg);
void add_shot_noise (image_type* img, float probability, int slice, int roiflg);

void editval_main ();

int file_exists (const char *filename);
void save_default_prefs ();
void preferences_main ();

void rg_floodfill (image_type* img, float newval, int x, int y, int z, int* level);

int combine1 (image_type *img1, image_type *img2);
int combine2 (image_type *img1, image_type *img2);

void karhunen_loeve_transform (image_type* img, int oorflg);




#endif
